%define version 0.4.0
%define release alt1
%define	origname TwistedNames
%setup_python_module twisted-names

Name:           %{packagename}
Version:        %{version}
Release: %{release}.1
Summary:        A Twisted DNS implementation

Group:          Development/Python
License:        MIT
URL:            http://www.twistedmatrix.com
Packager:	Sergey Alembekov <rt@altlinux.ru>
Source0:        http://tmrc.mit.edu/mirror/twisted/Names/0.4/%{origname}-%{version}.tar.bz2

BuildRequires:  python-module-twisted-core >= 2.5.0
BuildRequires:  python-devel

Requires:       python-module-twisted-core

%description
Twisted is an event-based framework for internet applications.

Twisted Names is both a domain name server as well as a client
resolver library. Twisted Names comes with an "out of the box"
nameserver which can read most BIND-syntax zone files as well as a
simple Python-based configuration format. Twisted Names can act as an
authoritative server, perform zone transfers from a master to act as a
secondary, act as a caching nameserver, or any combination of
these. Twisted Names' client resolver library provides functions to
query for all commonly used record types as well as a replacement for
the blocking gethostbyname() function provided by the Python stdlib
socket module.

%prep
%setup -q -n %{origname}-%{version}
chmod 644 doc/examples/dns-service.py
chmod 644 doc/examples/gethostbyname.py

%build
%__python setup.py build

%install
#%__python setup.py install --root $RPM_BUILD_ROOT
%__python setup.py install -O1 --root $RPM_BUILD_ROOT --install-purelib %{python_sitelibdir}

%clean

%files
%defattr(-,root,root,-)
%doc README LICENSE doc/*

%{python_sitelibdir}/twisted/names/

%{python_sitelibdir}/twisted/plugins/twisted_names.py*

%changelog
* Thu Jan 24 2008 Grigory Batalov <bga@altlinux.ru> 0.4.0-alt1.1
- Rebuilt with python-2.5.

* Fri Mar 30 2007 Sergey Alembekov <rt@altlinux.ru> 0.4.0-alt1
- Build for new upstream version
